aboutsummaryrefslogtreecommitdiff
path: root/subsonic-installer-debian/src/etc
diff options
context:
space:
mode:
Diffstat (limited to 'subsonic-installer-debian/src/etc')
-rw-r--r--subsonic-installer-debian/src/etc/default/subsonic25
-rw-r--r--subsonic-installer-debian/src/etc/init.d/subsonic138
2 files changed, 163 insertions, 0 deletions
diff --git a/subsonic-installer-debian/src/etc/default/subsonic b/subsonic-installer-debian/src/etc/default/subsonic
new file mode 100644
index 00000000..df191c1e
--- /dev/null
+++ b/subsonic-installer-debian/src/etc/default/subsonic
@@ -0,0 +1,25 @@
+#
+# This is the configuration file for the Subsonic service
+# (/etc/init.d/subsonic)
+#
+# To change the startup parameters of Subsonic, modify
+# the SUBSONIC_ARGS variable below.
+#
+# Type "subsonic --help" on the command line to read an
+# explanation of the different options.
+#
+# For example, to specify that Subsonic should use port 80 (for http)
+# and 443 (for https), and use a Java memory heap size of 200 MB, use
+# the following:
+#
+# SUBSONIC_ARGS="--port=80 --https-port=443 --max-memory=200"
+
+SUBSONIC_ARGS="--max-memory=150"
+
+
+# The user which should run the Subsonic process. Default "root".
+# Note that non-root users are by default not allowed to use ports
+# below 1024. Also make sure to grant the user write permissions in
+# the music directories, otherwise changing album art and tags will fail.
+
+SUBSONIC_USER=root \ No newline at end of file
diff --git a/subsonic-installer-debian/src/etc/init.d/subsonic b/subsonic-installer-debian/src/etc/init.d/subsonic
new file mode 100644
index 00000000..b45c1ed9
--- /dev/null
+++ b/subsonic-installer-debian/src/etc/init.d/subsonic
@@ -0,0 +1,138 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides: subsonic
+# Required-Start: $remote_fs $syslog
+# Required-Stop: $remote_fs $syslog
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: Subsonic daemon
+# Description: Starts the Subsonic daemon. Subsonic is a web-based
+# music streamer, jukebox and Podcast receiver.
+# See http://subsonic.org for more details.
+### END INIT INFO
+
+# Author: Sindre Mehus <sindre@activeobjects.no>
+
+# To change the startup parameters of Subsonic, modify the service
+# configuration file /etc/default/subsonic rather than this file.
+[ -r /etc/default/subsonic ] && . /etc/default/subsonic
+
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+DESC="Subsonic Daemon"
+NAME=subsonic
+PIDFILE=/var/run/$NAME.pid
+DAEMON=/usr/bin/$NAME
+DAEMON_ARGS="--pidfile=$PIDFILE $SUBSONIC_ARGS"
+SCRIPTNAME=/etc/init.d/$NAME
+
+# Exit if the package is not installed
+[ -x "$DAEMON" ] || exit 0
+
+# Run as root if SUBSONIC_USER is not set.
+[ "$SUBSONIC_USER" = "" ] && SUBSONIC_USER=root
+
+# Make sure Subsonic is started with system locale
+if [ -r /etc/default/locale ]; then
+ . /etc/default/locale
+ export LANG
+fi
+
+# Load the VERBOSE setting and other rcS variables
+. /lib/init/vars.sh
+
+# Define LSB log_* functions.
+# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
+. /lib/lsb/init-functions
+
+#
+# Function that starts the daemon/service
+#
+do_start()
+{
+ # Return
+ # 0 if daemon has been started
+ # 1 if daemon was already running
+ # 2 if daemon could not be started
+
+ if [ -e $PIDFILE ]
+ then
+ ps -p $(cat $PIDFILE) > /dev/null
+ [ "$?" = 0 ] && return 1
+ fi
+
+ touch $PIDFILE
+ chown $SUBSONIC_USER $PIDFILE
+ [ -e /var/subsonic ] && chown -R $SUBSONIC_USER /var/subsonic
+ [ -e /tmp/subsonic ] && chown -R $SUBSONIC_USER /tmp/subsonic
+
+ start-stop-daemon --start -c $SUBSONIC_USER --pidfile $PIDFILE --exec $DAEMON -- $DAEMON_ARGS || return 2
+}
+
+#
+# Function that stops the daemon/service
+#
+do_stop()
+{
+ # Return
+ # 0 if daemon has been stopped
+ # 1 if daemon was already stopped
+ # 2 if daemon could not be stopped
+ # other if a failure occurred
+ start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE
+ RETVAL="$?"
+ [ "$RETVAL" = 2 ] && return 2
+
+ # Many daemons don't delete their pidfiles when they exit.
+ rm -f $PIDFILE
+ return "$RETVAL"
+}
+
+case "$1" in
+ start)
+ [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
+ do_start
+ case "$?" in
+ 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+ 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+ esac
+ ;;
+ stop)
+ [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
+ do_stop
+ case "$?" in
+ 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+ 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+ esac
+ ;;
+ status)
+ status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
+ ;;
+ restart|force-reload)
+ #
+ # If the "reload" option is implemented then remove the
+ # 'force-reload' alias
+ #
+ log_daemon_msg "Restarting $DESC" "$NAME"
+ do_stop
+ case "$?" in
+ 0|1)
+ do_start
+ case "$?" in
+ 0) log_end_msg 0 ;;
+ 1) log_end_msg 1 ;; # Old process is still running
+ *) log_end_msg 1 ;; # Failed to start
+ esac
+ ;;
+ *)
+ # Failed to stop
+ log_end_msg 1
+ ;;
+ esac
+ ;;
+ *)
+ echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
+ exit 3
+ ;;
+esac
+
+: